<?php

class melbourne_business_Featuredslider_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'melbourne-business-featuredslider',
			__( 'MB: Featured Slider', 'melbourne-business' ),
			array(
				'description' => __( 'Displays Full Width Slider', 'melbourne-business' ),
			),
			array(),
			array(
				'posts' => array(
					'type'  => 'posts',
					'label' => __( 'Posts', 'melbourne-business' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Settings', 'melbourne-business' ),
					'hide' => true,
					'fields' => array(
						'more_text' => array(
							'type'    => 'text',
							'label'   => __( 'Read More Text', 'melbourne-business' ),
							'default' => __( 'Read more', 'melbourne-business' ),
						),
		    			'disable_excerpt' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Post Excerpt', 'melbourne-business' ),
		    			),
		    			'disable_more_text' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Read More Text', 'melbourne-business' ),
		    			),
	    			),
				),
			)
		);

	}

	function get_template_name( $instance ) {
		return 'default';
	}
}

siteorigin_widget_register( 'melbourne-business-featuredslider', __FILE__, 'melbourne_business_Featuredslider_Widget' );
